X = [0, 67.5, 135, 202.5, 270, 0, 67.5, 135, 202.5, 270, 0, 67.5, 135, 202.5, 270,0, 67.5, 135, 202.5, 270,0, 67.5, 135, 202.5, 270,];
Y = [0, 0, 0, 0, 0, 67.5, 67.5, 67.5, 67.5, 67.5, 135, 135, 135, 135, 135, 202.5, 202.5, 202.5, 202.5, 202.5, 270, 270, 270, 270, 270];
Z = [0, .256, .354, .231, -.078, .374, .514, .565, .412, .128, .495, .605, .651, .507, .252, .312, .482, .556, .448, .201, -.027, .232, .352, .275, .006 ];
xr = reshape(X, 5, 5);
yr = reshape(Y, 5, 5);
zr = reshape(Z, 5, 5);
e = interp2(xr)
f = interp2(yr)
g = interp2(zr)

E = interp2(e)
F = interp2(f)
G = interp2(g)

surf(E, F, G)
zlim([-1 1])
xlabel('x position (mm)')
ylabel('y position (mm)')
zlabel('height (mm)')
title("Felt 2 Part  Bed 5 130C");
